%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-method-override
Version:    1.0.0
Release:    1%{?dist}
Summary:    Provides faux HTTP method support for Connect
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/expressjs/method-override
Source0:    http://registry.npmjs.org/method-override/-/method-override-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(connect)
BuildRequires:  npm(methods)
BuildRequires:  npm(should)
BuildRequires:  npm(supertest)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/method-override
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/method-override

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test /usr/bin/mocha --require should --reporter spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/method-override


%changelog
* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.0-1
- initial package
